Subject: Question about RFC2507

From: "bwchang" <[email-masked]>
Date: Mon, 10 Sep 2001 09:24:26 +0900

Hello!
I'm studying the RFC2507, The document is for the compression of TCP/IP header.
I have some questions about the compression of header in TCP/IPv4.

Question 1.
     For example, 1st packet and 2nd packet belong to the same pakcet stream.
    1st packet have no TCP option and 2nd packet have TCP option.
    In the case of the situation, 1st packet is transferred in FULL HEADER format.
    How about the 2nd packet? "FULL HEADER" format or "Compressed TCP HEADER"         format?

Question 2.
    If the option exist in "Compressed TCP HEADER" format, is it TCP option or IP option?
    how can I differentiate it?

Question 3.
    If the option in "Compressed TCP HEADER" exist, "O" flag bit in the second byte is set. And the options in "Compressed TCP header" is saved in "Options" field.
If the options in IP header and TCP header exist simultaneously, What happen?
Which one is saved first in "Options" filed?
And also, how can I differentiate the "Options" fileld? Is it TCP option? or IP option?

Looking forward to your response...